Description

I have a shapefile with american urban areas. I work with diagrams window, circular graph (round diagrams). When I set any conic

projection (either Geographical or Rectangular) for the project,the diagrams disappear from the map at all. For exapmle, I tried

EPSG:102003 USA_Contigious_Albers_Equal_Area_Conic and EPSG:5071 NAD83/Conus_Albers. And additionally, all the initial dots

with urban areas disappear.

But when I choose any non-conical projection, for example EPSG:4904 (Lisboa), all diagrams immediately appear on the map (check

appended file)

I tried both versions - QGIS 2.6.1 and QGIS 2.8.1, but in all of them situation is the same.

I need to use conical projection for my work, so how can I solve this problem?

History

#1 - 2015-04-16 03:34 AM - Nyall Dawson

To clarify, are you saying if you switch off diagrams for the layer you still do not see the points in the conical projection? Can you share your layer/project?

#2 - 2015-04-16 03:34 AM - Nyall Dawson

- Status changed from Open to Feedback

#3 - 2015-04-16 02:46 PM - Anna Cha

I was trying to reproduce that bug today in both versions (2.6.1 and 2.8.1) and by chance understood that these are two different bugs but they are not

connected with conic projection.

1 bug - wrong appearance of diagramms (instead of one diagramm for 1 city there were only 2 or 4 diagramms for the more than 200 cities) - is only in old

version of QGIS, it works good in 2.8.1. So it is solved.

But the 2 bug - when I was working with one shapefile (with cities and diagramms) and after that do some changes in another shapefile (called States),

diagramms in Cities shapefile disappear. I randomly found that they appear again only when I go back  to the shapefile with diagramms and click 

ATTRIBUTES -> Included in diagramms (and choosen attributes are getting highlighted). If you don`t do this trick, you can't see the diagramms on the map

again, even if you have already selected the attributes in table 'Included in diagramms'. So I think it`s not very obvious for user and probably should be

solved.

Hope, I`ve explained it clearly (unfortunately I have QGIS in my native language and I don`t know the exact name of these options).

#4 - 2015-04-16 02:48 PM - Anna Cha
I also wanted to note that I didn`t switch off the diagramms.

#5 - 2015-04-16 04:40 PM - Nyall Dawson

It sounds like you're describing something which is related to a fix I made after 2.8.1 was released. Can you test with a development snapshot and let me

know if this had been resolved?

#6 - 2015-04-16 05:18 PM - Anna Cha

I should appologize for wasting your time since I finally after several days of random clicking found the reason of that "bug":

I just needed to click 'Refresh' on the tools pannel to see my diagramms again after changes in other layers. I didn't pay attention to that button (since I

probably have never used it before) so when I did some changes in another layers diagramms disappered. When I clicked on 'Refresh', they appeared

again.

So I guess the solution of the problem is found but maybe it`s usefull to make the process more obvious that some people would not get into stuck like me.

PS Did you mean I need to download some 'QGIS night build' and test the problem again?

#7 - 2015-04-16 06:47 PM - Nyall Dawson

Yes please, I'm 99% sure this is fixed now

#8 - 2015-04-17 03:41 AM - Anna Cha

I tried last night build of QGIS (2.9.0) and now it works ok! Thank you!

#9 - 2015-05-10 01:03 AM - Giovanni Manghi

- Target version changed from Version 2.8.1 to Version 2.8.2

#10 - 2015-05-10 01:14 AM - Jürgen Fischer

- Subject changed from Diagramms don`t work with Conical Projection to Diagrams don't work with Conical Projection

- Target version changed from Version 2.8.2 to Future Release - Lower Priority

#11 - 2015-05-23 03:22 AM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed
